package com.steering.ydm.bc;

import CoreFS.SA06.CoreReturnObject;
import CoreFS.SA08.CoreXmlSqlParsersFactory;
import com.steering.comm.db.DBCommon;

import java.util.ArrayList;



public class BaseOperations extends DBCommon{
	
    public CoreReturnObject queryBaseConfion(ArrayList<String> list)
    {
    	String sql  = CoreXmlSqlParsersFactory.getSql("BaseOperations.queryBaseConfion");
    	if(list.size()== 1)
    	{
    		sql += " WHERE T.SORTCODE = ?";
    	}else if(list.size() == 2)
    	{
    		sql += " WHERE T.SORTCODE in (?,?)";
    	}else if(list.size() == 3)
    	{
    		sql += " WHERE T.SORTCODE in (?,?,?)";
    	}
    	
    	return this.getData(sql, list.toArray());
    }
    /***
     * 质量封锁标识
     * @param ss
     * @return
     */
    public CoreReturnObject queryLockFlag(String ss)
    {
    	return this.getDataBySqlID("BaseOperations.queryLockFlag");
    }
   /***
    * 管理封锁标识
    * @param ss
    * @return
    */
    public CoreReturnObject queryMangeFlag(String ss)
    {
    	return this.getDataBySqlID("BaseOperations.queryMangeFlag");
    }
    
    /***
	 * 查询品名基础信息
	 * @return
	 */
	public CoreReturnObject getProcduce()
	{
		return this.getDataBySqlID("BaseOperations.getProcduce");
	}
	
	/***
	 * 查询钢级基础信息
	 * @return
	 */
	public CoreReturnObject getSteel()
	{
		return this.getDataBySqlID("BaseOperations.getSteel");
	}
	
	/***
	 * 查询标准类别基础信息
	 * @return
	 */
	public CoreReturnObject getStdStyle()
	{
		return this.getDataBySqlID("BaseOperations.getStdStyle");
	}
	/***
	 * 查询标准名称基础信息
	 * @return
	 */
	public CoreReturnObject getStdName()
	{
		return this.getDataBySqlID("BaseOperations.getStdName");
	}
	/***
	 * 查询物料码基础信息
	 * @return
	 */
	public CoreReturnObject getMaterial()
	{
		return this.getDataBySqlID("BaseOperations.getMaterial");
	}


	/***
	 * 查询规格基础信息
	 * @return
	 */
	public CoreReturnObject getSpc()
	{
		return this.getDataBySqlID("BaseOperations.getSpc");
	}


	/***
	 * 查询扣型基础信息
	 * @return
	 */
	public CoreReturnObject getModel()
	{
		return this.getDataBySqlID("BaseOperations.getModel");
	}
}
